rte_graph_feature_data(3)

NAME
rte_graph_feature_data

SYNOPSIS

#include <rte_graph_feature_arc_worker.h>

  Data Fields

rte_edge_t next_edge
uint16_t app_cookie
rte_graph_feature_data_t next_feature_data

Detailed Description

Fast path feature data object

Used by fast path inline feature arc APIs Corresponding to rte_graph_feature_data_t It holds

•   edge to reach to next feature node

•   next_feature_data corresponding to next enabled feature

•   app_cookie set by application in rte_graph_feature_enable()

Definition at line 241 of file rte_graph_feature_arc_worker.h.

Field Documentation

  rte_edge_t next_edge
edge from this feature node to next enabled feature node

Definition at line 243 of file rte_graph_feature_arc_worker.h.

  uint16_t app_cookie
app_cookie set by application in rte_graph_feature_enable() for current feature data

Definition at line 249 of file rte_graph_feature_arc_worker.h.

  rte_graph_feature_data_t next_feature_data
Next feature data from this feature data

Definition at line 252 of file rte_graph_feature_arc_worker.h.

Author

Generated automatically by Doxygen for DPDK from the source code.